Summary: DICT protocol (RFC 2229) command-line client
Name: dictd
Version: 1.9.14
Release: 3.mej
License: GPL
Group: Applications/Internet
Source0: ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
Source1: dict.conf
Patch1000: dictd-1.5.5-gcc34.patch
URL: http://www.dict.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#BuildRequires: flex, bison, libdbi-devel

%description
DICT protocol daemon.  The Dictionary Server Protocol (DICT) is a TCP
transaction based query/response protocol that allows a client to
access dictionary definitions from a set of natural language
dictionary databases.

%package -n dict
Summary: DICT protocol (RFC 2229) command-line -n dict
Group: Applications/Internet
License: GPL

%description -n dict
Command-line -n dict for the DICT protocol.

%package plugins
Summary: DICT plugins
Group: Applications/Internet
License: GPL
Requires: %{name} = %{version}

%description plugins
Plugins for the DICT daemon.

%package devel
Summary: DICT plugin headers
Group: Applications/Internet
License: GPL
Requires: %{name} = %{version}

%description devel
Headers for DICT plugin development.

%prep
%setup -q
%patch1000 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"
export CFLAGS

%configure --with-cflags="$CFLAGS"
%{__make} %{?_smp_mflags} %{?mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall} %{?mflags_install} \
    man1_prefix=$RPM_BUILD_ROOT/%{_mandir}/man1 \
    man8_prefix=$RPM_BUILD_ROOT/%{_mandir}/man8
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}
%{__install} -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc ANNOUNCE COPYING ChangeLog INITSCRIPT INSTALL NEWS README TODO doc/*.ms doc/rfc.sh doc/rfc2229.txt doc/*.doc
%doc example.conf example.site example2.conf example3.conf example_complex.conf example_popen.conf example_virtual.conf
%{_bindir}/dictfmt
%{_bindir}/dictfmt_index2suffix
%{_bindir}/dictfmt_index2word
%{_bindir}/dictfmt_virtual
%{_bindir}/dictunformat
%{_bindir}/dictzip
%{_sbindir}/dictd
%{_mandir}/man1/dictfmt.1.gz
%{_mandir}/man1/dictfmt_index2suffix.1.gz
%{_mandir}/man1/dictfmt_index2word.1.gz
%{_mandir}/man1/dictunformat.1.gz
%{_mandir}/man1/dictzip.1.gz
%{_mandir}/man8/dictd.8.gz

%files -n dict
%doc example.dictrc
%config(noreplace) %{_sysconfdir}/dict.conf
%{_bindir}/colorit
%{_bindir}/dict
%{_bindir}/dictl
%{_mandir}/man1/colorit.1.gz
%{_mandir}/man1/dict.1.gz
%{_mandir}/man1/dictl.1.gz

%files plugins
#%doc example_plugin_dbi.conf
%{_bindir}/dictfmt_plugin
#%{_libexecdir}/dictdplugin_dbi.so

%files devel
%{_bindir}/dictdplugin-config
%{_includedir}/dictdplugin.h

%changelog
